/*
Copyright 2021 The Matrix.org Foundation C.I.C.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

.mx_ThemeChoicePanel_ThemeSelectors {
    display: flex;
    flex-wrap: wrap;
    /* Override form default style */
    flex-direction: row !important;
    gap: var(--cpd-space-4x) !important;

    .mx_ThemeChoicePanel_themeSelector {
        border: 1px solid var(--cpd-color-border-interactive-secondary);
        border-radius: var(--cpd-space-1-5x);
        padding: var(--cpd-space-3x) var(--cpd-space-5x) var(--cpd-space-3x) var(--cpd-space-3x);
        gap: var(--cpd-space-2x);
        background-color: var(--cpd-color-bg-canvas-default);

        &.mx_ThemeChoicePanel_themeSelector_enabled {
            border-color: var(--cpd-color-border-interactive-primary);
        }

        &.mx_ThemeChoicePanel_themeSelector_disabled {
            border-color: var(--cpd-color-border-disabled);
        }

        .mx_ThemeChoicePanel_themeSelector_Label {
            color: var(--cpd-color-text-primary);
            font: var(--cpd-font-body-md-semibold);
        }
    }
}

.mx_ThemeChoicePanel_CustomTheme {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--cpd-space-4x);

    .mx_ThemeChoicePanel_CustomTheme_EditInPlace input:focus {
        /*
         * When the input is focused, the border is growing
         * We need to move it a bit to avoid the left border to be under the left panel
         */
        margin-left: var(--cpd-space-0-5x);
    }

    .mx_ThemeChoicePanel_CustomThemeList {
        display: flex;
        flex-direction: column;
        gap: var(--cpd-space-4x);
        /*
         * Override the default padding/margin of the list
         */
        padding: 0;
        margin: 0;

        .mx_ThemeChoicePanel_CustomThemeList_theme {
            display: flex;
            justify-content: space-between;
            align-items: center;
            background-color: var(--cpd-color-gray-200);
            padding: var(--cpd-space-2x) var(--cpd-space-2x) var(--cpd-space-2x) var(--cpd-space-4x);

            .mx_ThemeChoicePanel_CustomThemeList_name {
                font: var(--cpd-font-body-sm-semibold);
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
            }
        }

        &.mx_ThemeSelector_bwi-light {
            background-color: #f3f8fd;
            color: #2e2f32;
        }

        &.mx_ThemeSelector_bwi-dark {
            /*  5% lightened version of 181b21 */
            background-color: #25282e;
            color: #f3f8fd;

            > input > div {
                border-color: $input-darker-bg-color;
                > div {
                    border-color: $input-darker-bg-color;
                }
            }
        }
    }
}
